#include "Complex.h"
#include <math.h>

Complex::Complex(double _re, double _im)
{
    re = _re;
    im = _im;
}

double  Complex::squareMag()
{
    return re * re + im * im;
}

double  Complex::mag()
{
    return sqrt(squareMag());
}

void    Complex::operator=(const Complex rhs)
{
    re = rhs.re;
    im = rhs.im;
}

Complex Complex::operator+(const Complex rhs)
{
    Complex result;
    result.re = re + rhs.re;
    result.im = im + rhs.im;

    return result;
}

Complex Complex::operator*(const Complex rhs)
{
    Complex result;
    result.re = re * rhs.re - im * rhs.im;
    result.im = im * rhs.re + re * rhs.im;

    return result;
}
